<?if(!defined('INDEX')) die;

$q=parse_url($_SERVER['REQUEST_URI'])["query"];
parse_str($q,$_GET);

$imp=$_GET['i'];
$z=intval($_GET['z']);
$b=intval($_GET['b']);
$price=floatval($_GET['price']);

if(!$z || !$b || !$price ||  !preg_match("/^([0-9a-f]{32})$/", $imp))
	die;

error_log("imp=$imp||z=$z||b=$b||price=$price\n",3,"nurl.log");
header("HTTP/1.0 204 No Response");
die;
